Package com.nwalsh.saxon

# Class FormatCallout

java.lang.Object
com.nwalsh.saxon.FormatCallout

Direct Known Subclasses:
  `FormatGraphicCallout`, `FormatTextCallout`, `FormatUnicodeCallout`

public abstract class FormatCallout extends Object

Utility class for the Verbatim extension (ignore this).

$Id: FormatCallout.java 7007 2007-07-11 07:09:12Z mzjn $

Copyright (C) 2000, 2001 Norman Walsh.

Change Log:

1.0

  Initial release.

See Also:
  - `Verbatim`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`foStylesheet`
`protected static final String`
`foURI`
`protected com.icl.saxon.om.NamePool`
`namePool`
`protected static final String`
`xhURI`

## Constructor Summary

Constructors
Constructor
Description
`FormatCallout(com.icl.saxon.om.NamePool nPool, boolean fo)`

## Method Summary

Modifier and Type
Method
Description
`String`
`areaID(Element area)`
`String`
`areaLabel(Element area)`
`void`
`endSpan(com.icl.saxon.output.Emitter rtf)`
`abstract void`
`formatCallout(com.icl.saxon.output.Emitter rtfEmitter, Callout callout)`
`void`
`formatTextCallout(com.icl.saxon.output.Emitter rtfEmitter, Callout callout)`
`void`
`startSpan(com.icl.saxon.output.Emitter rtf, String id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### foURI

protected static final String foURI

See Also:
  - Constant Field Values

### xhURI

protected static final String xhURI

See Also:
  - Constant Field Values

### foStylesheet

protected boolean foStylesheet

### namePool

protected com.icl.saxon.om.NamePool namePool

## Constructor Details

### FormatCallout

public FormatCallout(com.icl.saxon.om.NamePool nPool, boolean fo)

## Method Details

### areaLabel

public String areaLabel(Element area)

### areaID

public String areaID(Element area)

### startSpan

public void startSpan(com.icl.saxon.output.Emitter rtf, String id) throws TransformerException

Throws:
  `TransformerException`

### endSpan

public void endSpan(com.icl.saxon.output.Emitter rtf) throws TransformerException

Throws:
  `TransformerException`

### formatTextCallout

public void formatTextCallout(com.icl.saxon.output.Emitter rtfEmitter, Callout callout)

### formatCallout

public abstract void formatCallout(com.icl.saxon.output.Emitter rtfEmitter, Callout callout)